Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 653738 - net-p2p/pybitmessage-0.6.3.2_p20180326 stabilisation and drop old
Summary: net-p2p/pybitmessage-0.6.3.2_p20180326 stabilisation and drop old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-04-21 22:37 UTC by Andreas Sturmlechner
Modified: 2018-05-27 19:54 UTC (History)
1 user (show)

See Also:
Package list:
net-p2p/pybitmessage-0.6.3.2_p20180326 dev-python/pythondialog-3.4.0-r200
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-04-21 22:37:23 UTC
Thanks in advance.
Comment 1 Stabilization helper bot gentoo-dev 2018-04-21 23:05:55 UTC
An automated check of this bug failed - repoman reported dependency errors (30 lines truncated): 

> dependency.bad net-p2p/pybitmessage/pybitmessage-0.6.3.2-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/pythondialog[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad net-p2p/pybitmessage/pybitmessage-0.6.3.2-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/pythondialog[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad net-p2p/pybitmessage/pybitmessage-0.6.3.2-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/pythondialog[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-22 12:08:37 UTC
but it still wants PyQt4 to run
Comment 3 Andreas Sturmlechner gentoo-dev 2018-04-22 12:19:18 UTC
Dropping USE=qt4 should leave the ncurses interface, but seems like bitmessageqt is still being installed. Also, 'All of the dependencies that are behind USE flags are detected and enabled automagically' sounds awesome.
Comment 4 Andreas Sturmlechner gentoo-dev 2018-04-22 13:42:17 UTC
Postponed in favor of a PyQt5-based snapshot. Give it some testing.
Comment 5 Larry the Git Cow gentoo-dev 2018-04-22 13:42:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c23d5c027ee34114d4ed6b0ebad569d49e3f3c80

commit c23d5c027ee34114d4ed6b0ebad569d49e3f3c80
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-22 12:27:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-22 13:41:32 +0000

    net-p2p/pybitmessage: Drop 0.6.3.2 'without' PyQt4 support
    
    Apparently it does not make much sense like that.
    
    Bug: https://bugs.gentoo.org/653738
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 net-p2p/pybitmessage/Manifest                      |  1 -
 .../pybitmessage/pybitmessage-0.6.3.2-r1.ebuild    | 72 ----------------------
 2 files changed, 73 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d95927ca892bf196ccb38152f33b08ede630783e

commit d95927ca892bf196ccb38152f33b08ede630783e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-22 13:18:08 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-22 13:41:31 +0000

    net-p2p/pybitmessage: Add 0.6.3.2_p20180326 Qt5-based snapshot
    
    Thanks-to: Dmitri Bogomolov <4glitch@gmail.com>
    Bug: https://bugs.gentoo.org/653738
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 net-p2p/pybitmessage/Manifest                      |  1 +
 net-p2p/pybitmessage/metadata.xml                  |  5 +-
 .../pybitmessage-0.6.3.2_p20180326.ebuild          | 70 ++++++++++++++++++++++
 3 files changed, 73 insertions(+), 3 deletions(-)}
Comment 6 Dmitri Bogomolov 2018-04-24 08:04:37 UTC
Not sure it's good idea to use a snapshot of my github branch. I'm going to rebase that branch when it start to conflict with some other patches or some useful changes will be done in v0.6. Then that commit may disappear.
Comment 7 Andreas Sturmlechner gentoo-dev 2018-04-25 07:16:01 UTC
Even if you force-push over the branch, the hash should still be accessible. If not, by the time all the Gentoo mirrors have the file picked up already, and for completeness we can change the SRC_URI to someone's devspace.
Comment 8 Andreas Sturmlechner gentoo-dev 2018-05-10 06:00:22 UTC
It seems no negative reports yet - so we can start stabilising soon.
Comment 9 Dmitri Bogomolov 2018-05-10 06:23:53 UTC
(In reply to Andreas Sturmlechner from comment #8)
> It seems no negative reports yet - so we can start stabilising soon.

There is still problem with column width in that branch. And I have a small stub for remaining unicode bug:

diff --git a/src/bitmessageqt/account.py b/src/bitmessageqt/account.py
index ad745f4..fd5adc5 100644
--- a/src/bitmessageqt/account.py
+++ b/src/bitmessageqt/account.py
@@ -131,7 +131,11 @@ class BMAccount(object):
             if queryreturn != []:
                 for row in queryreturn:
                     label, = row
-        return unicode(label, 'utf-8')
+        try:
+            return unicode(label, 'utf-8')
+        except TypeError:
+            print("WARNING: label is of type unicode:  %s" % label)
+            return label
 
     def parseMessage(self, toAddress, fromAddress, subject, message):
         self.toAddress = toAddress
Comment 10 Andreas Sturmlechner gentoo-dev 2018-05-16 17:08:27 UTC
Thanks, we can wait a bit, but do you think that bug is a major dealbreaker compared to, say, removal of old pybitmessage?
Comment 11 Dmitri Bogomolov 2018-05-21 13:00:54 UTC
Hello.

I've decided to commit last stub into qt5 branch and to not touch it further. Any possible changes will be made in separate qt5-wip branch. So you can use the last commit in ebuild safely.
Comment 12 Larry the Git Cow gentoo-dev 2018-05-27 19:54:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d794647f93d6c4c32dea2de201c6ceafe1a3f123

commit d794647f93d6c4c32dea2de201c6ceafe1a3f123
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-27 18:57:33 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-27 19:53:32 +0000

    net-p2p/pybitmessage: Drop 0.4.2 (effectively destabilise)
    
    Depends on dev-python/PyQt4 and upstream is still not ported.
    Provided snapshot is a pending PR not yet upstream.
    Drop stable - package has no maintainer so don't pretend otherwise.
    
    Closes: https://bugs.gentoo.org/653738
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-p2p/pybitmessage/Manifest                  |  1 -
 net-p2p/pybitmessage/pybitmessage-0.4.2.ebuild | 73 --------------------------
 2 files changed, 74 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1a246d3ba79d0f0304aaba04446bc8ab2e2fd0b

commit f1a246d3ba79d0f0304aaba04446bc8ab2e2fd0b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-27 18:52:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-05-27 19:53:31 +0000

    net-p2p/pybitmessage: 0.6.3.2_p20180521 snapshot bump
    
    Bug: https://bugs.gentoo.org/653738
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-p2p/pybitmessage/Manifest                      |  1 +
 .../pybitmessage-0.6.3.2_p20180521.ebuild          | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)